# dkim_minbody()

[back to index]

SYNOPSIS

    #include <dkim.h>

    unsigned long dkim_minbody(
    	DKIM *dkim
    );

Retrieve the number of bytes of message body still required to satisfy all canonicalizations.

DESCRIPTION

Called When | `dkim_minbody()` can be called at any time after `dkim_eoh()` has been called.

ARGUMENTS

Argument | Description
--- | ---
dkim | Message-specific handle, returned by `dkim_sign()` or `dkim_verify()`.

RETURN VALUES

Value | Description
--- | ---
`0` | All canonicalizations referenced by the message-specific handle have enough data to compute final hashes; no additional body data are required.
`ULONG_MAX` | At least one canonicalization referenced by the message-specific handle wants the entire message body.
otherwise | The number of bytes required to satisfy all canonicalizations referenced by the message-specific handle.

NOTES

- None.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009, 2010, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.